Package org.kapott.hbci.sepa.jaxb.pain_002_001_12

## Class EquivalentAmount2

- java.lang.Object
- - org.kapott.hbci.sepa.jaxb.pain_002_001_12.EquivalentAmount2

    public class EquivalentAmount2
    extends java.lang.Object

Java class for EquivalentAmount2 complex type.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="EquivalentAmount2">
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <sequence>
             <element name="Amt" type="{urn:iso:std:iso:20022:tech:xsd:pain.002.001.12}ActiveOrHistoricCurrencyAndAmount"/>
             <element name="CcyOfTrf" type="{urn:iso:std:iso:20022:tech:xsd:pain.002.001.12}ActiveOrHistoricCurrencyCode"/>
           </sequence>
         </restriction>
       </complexContent>
     </complexType>

### Field Summary

Fields
`protected ActiveOrHistoricCurrencyAndAmount` `amt`
`protected java.lang.String` `ccyOfTrf`

### Constructor Summary

Constructors
`EquivalentAmount2()`

### Method Summary

All Methods Instance Methods Concrete Methods
`ActiveOrHistoricCurrencyAndAmount` `getAmt()` Gets the value of the amt property.
`java.lang.String` `getCcyOfTrf()` Gets the value of the ccyOfTrf property.
`void` `setAmt​(ActiveOrHistoricCurrencyAndAmount value)` Sets the value of the amt property.
`void` `setCcyOfTrf​(java.lang.String value)` Sets the value of the ccyOfTrf property.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### amt

    protected ActiveOrHistoricCurrencyAndAmount amt

#### ccyOfTrf

    protected java.lang.String ccyOfTrf

### Constructor Detail

#### EquivalentAmount2

    public EquivalentAmount2()

### Method Detail

#### getAmt

    public ActiveOrHistoricCurrencyAndAmount getAmt()

Gets the value of the amt property.

Returns:
  possible object is `ActiveOrHistoricCurrencyAndAmount`

#### setAmt

    public void setAmt​(ActiveOrHistoricCurrencyAndAmount value)

Sets the value of the amt property.

Parameters:
  `value` - allowed object is `ActiveOrHistoricCurrencyAndAmount`

#### getCcyOfTrf

    public java.lang.String getCcyOfTrf()

Gets the value of the ccyOfTrf property.

Returns:
  possible object is `String`

#### setCcyOfTrf

    public void setCcyOfTrf​(java.lang.String value)

Sets the value of the ccyOfTrf property.

Parameters:
  `value` - allowed object is `String`